summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGravatar Jonas Gunz <himself@jonasgunz.de> 2020-01-26 20:16:38 +0100
committerGravatar Jonas Gunz <himself@jonasgunz.de> 2020-01-26 20:16:38 +0100
commitaf53908079962c3208d2dbf6a2c98b5862f4c0b5 (patch)
tree93d7f8869afea004566bd90f354fb98acce62ce4
parentb2a14f03dded5ae56eaa24ffe3dc271d8365dc68 (diff)
downloaddotfiles-af53908079962c3208d2dbf6a2c98b5862f4c0b5.tar.gz
custom bashit theme, vim changes
-rw-r--r--.bashrc2
-rw-r--r--.vim/vimrc7
-rw-r--r--theme.bash26
3 files changed, 32 insertions, 3 deletions
diff --git a/.bashrc b/.bashrc
index be141bc..109fe0a 100644
--- a/.bashrc
+++ b/.bashrc
@@ -14,7 +14,7 @@ export BASH_IT="/home/jonas/vimconfig/bash-it"
# Lock and Load a custom theme file.
# Leave empty to disable theming.
# location /.bash_it/themes/
-export BASH_IT_THEME='bakke'
+export BASH_IT_THEME='/home/jonas/vimconfig/theme.bash'
# (Advanced): Change this to the name of your remote repo if you
# cloned bash-it with a remote other than origin such as `bash-it`.
diff --git a/.vim/vimrc b/.vim/vimrc
index b21d04a..9d93917 100644
--- a/.vim/vimrc
+++ b/.vim/vimrc
@@ -17,6 +17,9 @@ let g:airline#extensions#branch#enabled = 1
let g:airline#extensions#whitespace#enabled = 1
let g:airline_powerline_fonts = 1
+"show line endings and tabs
+set list
+
" Use todo#Complete as the omni complete function for todo files
au filetype todo setlocal omnifunc=todo#Complete
@@ -51,7 +54,7 @@ set foldmethod=syntax
"nmap <silent> <C-w-h> :wincmd h<CR>
"nmap <silent> <C-w-l> :wincmd l<CR>
-nmap <silent> <C-s> :vsplit<CR>
+nmap <silent> <C-s> :vsplit<CR>:e .<CR>
nmap <silent> <C-e> :e .<CR>
nnoremap <silent> <Space> @=(foldlevel('.')?'za':"\<Space>")<CR>
@@ -69,7 +72,7 @@ nmap <silent> <F7> :Newterm<CR>
nmap <silent> <F1> :tabclose<CR>
nmap <silent> <F2> :tabprevious<CR>
nmap <silent> <F3> :tabnext<CR>
-nmap <silent> <F4> :tabnew<CR>
+nmap <silent> <F4> :tabnew<CR>:e .<CR>
" ===========
diff --git a/theme.bash b/theme.bash
new file mode 100644
index 0000000..648dfb6
--- /dev/null
+++ b/theme.bash
@@ -0,0 +1,26 @@
+#!/usr/bin/env bash
+SCM_THEME_PROMPT_DIRTY=" ${red}✗"
+SCM_THEME_PROMPT_CLEAN=" ${bold_green}✓"
+SCM_THEME_PROMPT_PREFIX=" |"
+SCM_THEME_PROMPT_SUFFIX="${green}|"
+
+GIT_THEME_PROMPT_DIRTY=" ${red}✗"
+GIT_THEME_PROMPT_CLEAN=" ${bold_green}✓"
+GIT_THEME_PROMPT_PREFIX=" ${green}|"
+GIT_THEME_PROMPT_SUFFIX="${green}|"
+
+RVM_THEME_PROMPT_PREFIX="|"
+RVM_THEME_PROMPT_SUFFIX="|"
+
+function prompt_command() {
+ #PS1="${bold_cyan}$(scm_char)${green}$(scm_prompt_info)${purple}$(ruby_version_prompt) ${yellow}\h ${reset_color}in ${green}\w ${reset_color}\n${green}→${reset_color} "
+ #PS1="\n${purple}\h: ${reset_color} ${green}\w\n${bold_cyan}$(scm_char)${green}$(scm_prompt_info) ${green}→${reset_color} "
+ #PS1="\n${cyan}\h: ${reset_color} ${yellow}\w\n${red}$(scm_char)${red}$(scm_prompt_info) ${green}→${reset_color} "
+ local EXIT="$?"
+ if [ $EXIT -eq 0 ]; then
+ EXIT=""
+ fi
+ PS1="\n${cyan}\h:$(virtualenv_prompt) ${reset_color} ${yellow}\w ${green}$(scm_prompt_info)\n${red}${EXIT} ${reset_color}→ "
+}
+
+safe_append_prompt_command prompt_command